﻿
; @access public
; @return void
testSimilarKeys .proc
	setJsonObject jsonObjectSimilarKeys ; set JSON object from data.asm file
-
	expectJsonKey "numbers", numbersIterator
	expectJsonKey "number", numberIterator

	isJsonObjectCompleted
	bne -
	
	assertMemoryEqual expectedNumber, numberTable, 1, "test similar keys: number"
	assertMemoryEqual expectedNumbers, numbersTable, 1, "test similar keys: numbers"
rts


; @access private
; @return void
numberIterator
	storeJsonValue numberTableLocation
rts


; @access private
; @return void
numbersIterator
	storeJsonValue numbersTableLocation
rts


numberTable
	.fill 1, 0
	
	
numbersTable
	.fill 1, 0
	
	
numberTableLocation
	.word numberTable
	
	
numbersTableLocation
	.word numbersTable
	

.enc "ascii"
.cdef 32, 126, 32

expectedNumber
	.text "1"
	
	
expectedNumbers
	.text "6"
	

.enc "none"
	
.pend
